


% Uncomment the lines as applicable
CaseToRun='parallel';
%CaseToRun='series';
%CaseToRun='testParallel';
%CaseToRun='testPseries';

switch CaseToRun,
 case 'parallel',
  % Set up the problem:
  % Select discretization for the SOC.
  % Assign cost for the final state.
  T_grid    = ;
  SOC_grid  = ;
  finalCost = ;

  % Solve the problem
  [value,SOC_path]=dynProg1D(@parallelHybrid,T_grid,SOC_grid,finalCost);
  
  % Postprocess and analyze the result
  
 case 'series',
  % Set up the problem:
  % Select discretization for the SOC and engine speed.
  % Assign cost for the final states.
  T_grid    = ;
  SOC_grid  = ;
  Ne_grid   = ;
  finalCost = ;
  
  % Solve the problem
  [value,SOC_path,Ne_path]=dynProg2D(@seriesHybrid,T_grid,SOC_grid,Ne_grid,finalCost);

  % Postprocess and analyze the result
  
  
 case 'testParallel',
   % Test the arc costs of the parallel hybrid to see that they are reasonable
   % Add the code for the tests that you want to make
  
   
 case 'testSeries',
   % Test the arc costs of the series hybrid and
   % Add the code for the tests that you want to make
   
 otherwise,
  error('Unknown case')
end